CC=cl
RC=rc
LINK=link
GTKDIR=..\GTK
LIBS=	/LIBPATH:$(GTKDIR)\lib \
		atk-1.0.lib \
		gdk_pixbuf-2.0.lib \
		gdk-win32-2.0.lib \
		glib-2.0.lib \
		gmodule-2.0.lib \
		gobject-2.0.lib \
		gthread-2.0.lib \
		gtk-win32-2.0.lib \
		intl.lib \
		pango-1.0.lib \
		pangoft2-1.0.lib \
		pangowin32-1.0.lib \
		/INCREMENTAL:NO /MACHINE:I386 /OUT:$@ /SUBSYSTEM:WINDOWS
CFLAGS=	/I. \
		/I$(GTKDIR)\include \
		/I$(GTKDIR)\include\atk-1.0 \
		/I$(GTKDIR)\include\glib-2.0 \
		/I$(GTKDIR)\include\gtk-2.0 \
		/I$(GTKDIR)\include\pango-1.0 \
		/I$(GTKDIR)\lib\glib-2.0\include \
		/I$(GTKDIR)\lib\gtk-2.0\include \
		/c /DWIN32 /DNDEBUG /D_WINDOWS /D_MBCS /DWINVER=0x0400 /Fo$@ /Fp$*.pch /MT /O1 /QI0f /QIfdiv /YX

vmaid.exe: $*.res misc\fileio.obj misc\license.obj misc\misc.obj misc\profile.obj avicore\avicore.obj avicore\avidlg.obj avicore\aviedit.obj avicore\aviframe.obj avicore\aviopen.obj avicore\avisave.obj avicore\avitext.obj avicore\bitmap.obj avicore\chunk.obj avicore\icm.obj src\argument.obj src\command.obj src\conf.obj src\file.obj src\general.obj src\jump.obj src\prop.obj src\sigfile.obj src\sigmain.obj src\size.obj src\thread.obj src\toolbar.obj src\version.obj src\vmaid.obj src\winmain.obj
	$(LINK) $(LIBS) shell32.lib user32.lib $**

misc\fileio.obj: $*.c $*.h common.h config.w32.h
	$(CC) $(CFLAGS) $*.c

misc\license.obj: $*.c $*.h common.h config.w32.h misc\fileio.h
	$(CC) $(CFLAGS) $*.c

misc\misc.obj: $*.c $*.h common.h config.w32.h misc\fileio.h
	$(CC) $(CFLAGS) $*.c

misc\profile.obj: $*.c $*.h common.h config.w32.h misc\fileio.h misc\misc.h
	$(CC) $(CFLAGS) $*.c

avicore\avicore.obj: $*.c $*.h common.h config.w32.h avicore\avifmt.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h misc\misc.h
	$(CC) $(CFLAGS) $*.c

avicore\avidlg.obj: $*.c common.h config.w32.h avicore\avibase.h avicore\avicore.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h
	$(CC) $(CFLAGS) $*.c

avicore\aviedit.obj: $*.c common.h config.w32.h avicore\avibase.h avicore\avicore.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h
	$(CC) $(CFLAGS) $*.c

avicore\aviframe.obj: $*.c common.h config.w32.h avicore\avibase.h avicore\avicore.h avicore\avifmt.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h
	$(CC) $(CFLAGS) $*.c

avicore\aviopen.obj: $*.c common.h config.w32.h avicore\avibase.h avicore\avicore.h avicore\avifmt.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h
	$(CC) $(CFLAGS) $*.c

avicore\avisave.obj: $*.c common.h config.w32.h avicore\avibase.h avicore\avicore.h avicore\avifmt.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h
	$(CC) $(CFLAGS) $*.c

avicore\avitext.obj: $*.c common.h config.w32.h avicore\avibase.h avicore\avicore.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h misc\misc.h
	$(CC) $(CFLAGS) $*.c

avicore\bitmap.obj: $*.c $*.h common.h config.w32.h misc\fileio.h
	$(CC) $(CFLAGS) $*.c

avicore\chunk.obj: $*.c $*.h common.h config.w32.h misc\fileio.h
	$(CC) $(CFLAGS) $*.c

avicore\icm.obj: $*.c $*.h common.h config.w32.h avicore\avifmt.h avicore\bitmap.h avicore\chunk.h misc\fileio.h misc\misc.h misc\profile.h
	$(CC) $(CFLAGS) $*.c

src\argument.obj: $*.c $*.h common.h config.w32.h avicore\avicore.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h misc\misc.h src\vmaid.h
	$(CC) $(CFLAGS) $*.c

src\command.obj: $*.c $*.h common.h config.w32.h avicore\avicore.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h misc\misc.h src\file.h src\general.h src\jump.h src\prop.h src\sigfile.h src\size.h src\thread.h src\vmaid.h
	$(CC) $(CFLAGS) $*.c

src\conf.obj: $*.c $*.h common.h config.w32.h avicore\avicore.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h src\vmaid.h
	$(CC) $(CFLAGS) $*.c

src\file.obj: $*.c $*.h common.h config.w32.h avicore\avicore.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h misc\misc.h src\sigfile.h src\sigmain.h src\size.h src\thread.h src\vmaid.h
	$(CC) $(CFLAGS) $*.c

src\general.obj: $*.c $*.h common.h config.w32.h avicore\avicore.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h misc\misc.h src\command.h src\sigfile.h src\toolbar.h src\vmaid.h
	$(CC) $(CFLAGS) $*.c

src\jump.obj: $*.c $*.h common.h config.w32.h avicore\avicore.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h misc\misc.h src\vmaid.h
	$(CC) $(CFLAGS) $*.c

src\prop.obj: $*.c $*.h common.h config.w32.h avicore\avicore.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h misc\misc.h src\vmaid.h
	$(CC) $(CFLAGS) $*.c

src\sigfile.obj: $*.c $*.h common.h config.w32.h avicore\avicore.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h misc\misc.h src\command.h src\file.h src\general.h src\vmaid.h
	$(CC) $(CFLAGS) $*.c

src\sigmain.obj: $*.c $*.h common.h config.w32.h avicore\avicore.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h misc\misc.h src\argument.h src\command.h src\file.h src\general.h src\sigfile.h src\thread.h src\vmaid.h
	$(CC) $(CFLAGS) $*.c

src\size.obj: $*.c $*.h common.h config.w32.h avicore\avicore.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h src\vmaid.h
	$(CC) $(CFLAGS) $*.c

src\thread.obj: $*.c $*.h common.h config.w32.h avicore\avicore.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h src\vmaid.h
	$(CC) $(CFLAGS) $*.c

src\toolbar.obj: $*.c $*.h common.h config.w32.h avicore\avicore.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h src\command.h src\vmaid.h
	$(CC) $(CFLAGS) $*.c

src\version.obj: $*.c $*.h common.h config.w32.h avicore\avicore.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h misc\license.h src\vmaid.h
	$(CC) $(CFLAGS) $*.c

src\vmaid.obj: $*.c $*.h common.h config.w32.h avicore\avicore.h avicore\bitmap.h avicore\chunk.h avicore\icm.h avicore\wave.h misc\fileio.h misc\license.h misc\profile.h src\argument.h src\command.h src\conf.h src\file.h src\general.h src\sigfile.h src\sigmain.h src\thread.h src\toolbar.h src\version.h
	$(CC) $(CFLAGS) $*.c

src\winmain.obj: $*.c
	$(CC) $(CFLAGS) $*.c

vmaid.res: $*.rc $*.ico
	$(RC) /fo$@ $*.rc
